#ifndef __TOKEN_H
#define __TOKEN_H

#include <iostream>

using namespace std;

class Token {	
	public:
	string name;		// The name should be unique
	bool isTerminal;
	bool isEpsilon;
	
	// Constructor
	Token();							// Build \epsilon
	Token(string nLex, bool isTerm);	// Build a terminal/non-terminal token
	
	// Destructor
	~Token();
};

// -- Pretty-printer
ostream& operator <<(ostream& sout, Token& lex);

#endif
